import 'package:adhan_dart/src/Astronomical.dart';

dateByAddingDays(DateTime date, int days) {
  return date.add(Duration(days: days));
}

dateByAddingMinutes(date, minutes) {
  return dateByAddingSeconds(date, minutes * 60);
}

dateByAddingSeconds(DateTime date, int seconds) {
  return date.add(Duration(seconds: seconds));
}

roundedMinute(DateTime date, {bool precision: true}) {
  int seconds = date.toUtc().second % 60;
  int offset = seconds >= 30 ? 60 - seconds : -1 * seconds;
  if (precision) return date;

  return dateByAddingSeconds(date, offset);
}

dayOfYear(date) {
  int returnedDayOfYear = 0;
  int feb = Astronomical.isLeapYear(date.year) ? 29 : 28;
  List<int> months = [31, feb, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
  for (var i = 0; i < (date.month - 1); i++) {
    returnedDayOfYear += months[i];
  }

  returnedDayOfYear += date.getDate();

  return returnedDayOfYear;
}
